Skip to content
Open the portal
Developer docs

Eligible

GET
/v1/retention/eligible
curl --request GET \
--url 'https://example.com/v1/retention/eligible?limit=200'

Records past retention and not under any hold: the only ones a deletion may touch.

limit
Limit
integer
default: 200 >= 1 <= 1000

Successful Response

Media typeapplication/json
Response Eligible V1 Retention Eligible Get
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}